# Othercide 1.3.0.5/1.3.1.0
# BID: A8BA2A8F93AAE647

DECLARATIONS:
  -
    type: variable
    name: dr_target
    value_type: float
    default_value: 41
    evaluate: "0.97 * FRAMETIME_TARGET"

MASTER_WRITE:
  # Redirect DynamicResolutionManager$$Update Timing
  -
    type: asm_a64
    main_offset: 0x2B0188C
    instructions: [
      [adrp, x8, $dr_target],
      [ldr, s1, [x8, $dr_target]]
    ]
